Create a new payment method and select it.
curl --request POST \
--url http://127.0.0.1:8080/v1/c/customer/{customer_id}/payment/method \
--header 'wb-key: <api-key>'import requests
url = "http://127.0.0.1:8080/v1/c/customer/{customer_id}/payment/method"
headers = {"wb-key": "<api-key>"}
response = requests.post(url, headers=headers)
print(response.text)const options = {method: 'POST', headers: {'wb-key': '<api-key>'}};
fetch('http://127.0.0.1:8080/v1/c/customer/{customer_id}/payment/method', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"provider": "stripe",
"type": "vban_bank_transfer_eu"
}Payment
Add Payment Method
Create a new payment method and select it. Currently, only Stripe VBAN transfer is supported. To add credit cards or direct debit, create a Payment Session and collect the data using Wingback.js.
POST
/
v1
/
c
/
customer
/
{customer_id}
/
payment
/
method
Create a new payment method and select it.
Authorizations
api-keywb_user_cookie
Path Parameters
Id of the customer
Response
200 - application/json
customer payment methods
Payment Configuration setup intent
The payment providers known by the backend.
Those variants MUST be kept identical to the variants of the payment_provider enum of the postgres database
Available options:
authorize, self_handled, stripe Example:
"stripe"
Type of the payment method to create
Available options:
vban_bank_transfer_eu